खाता भुक्तानीहरू

GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
पैरामीटरहरू विवरण विवरण
processor वैकल्पिक स्ट्रिङ अनुमत मानहरू: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status वैकल्पिक स्ट्रिङ अनुमत मानहरू: paid, pending, cancelled, refunded
type वैकल्पिक स्ट्रिङ अनुमत मानहरू: one_time, recurring
frequency वैकल्पिक स्ट्रिङ अनुमत मानहरू: monthly, quarterly, biannual, annual, lifetime
datetime_field वैकल्पिक स्ट्रिङ अनुमत मानहरू: datetime
datetime_start वैकल्पिक स्ट्रिङ यो मिति र समयबाट सुरु हुने परिणामहरू फिल्टर गर्नुहोस्। ढाँचा Y-m-d H:i:s।
datetime_end वैकल्पिक स्ट्रिङ यो मिति र समयसम्म परिणामहरू फिल्टर गर्नुहोस्। ढाँचा Y-m-d H:i:s।
order_by वैकल्पिक स्ट्रिङ परिणामहरूलाई कुन क्षेत्रद्वारा क्रमबद्ध गर्ने। अनुमति प्राप्त मानहरू हुन्: id, datetime, total_amount.
order_type वैकल्पिक स्ट्रिङ परिणामहरूको क्रम। स्वीकृत मानहरू हुन्: ASC चढ्दो क्रमको लागि, र DESC ओझेलमा क्रमको लागि।
page वैकल्पिक पूर्णांक तपाईंले परिणामहरू चाहनु भएको पृष्ठ संख्या। डिफल्ट 1 हो।
results_per_page वैकल्पिक पूर्णांक तपाईंले प्रति पृष्ठ कति परिणामहरू चाहनुहुन्छ। अनुमति प्राप्त मानहरू हुन्: 10, 25, 50, 100, 250, 500, 1000। डिफल्ट 25 हो।
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "[email protected]",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-10-17 12:18:05"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://tistos.com/api/payments?page=1",
        "last": "https://tistos.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/payments?page=1"
    }
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "[email protected]",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-10-17 12:18:05"
    }
}